Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.model
Class DefaultWLPRuleTypeRecognizer

    java.lang.Object
      com.bea.p13n.rules.model.DefaultWLPRuleTypeRecognizer

All Implemented Interfaces
  RuleTypeRecognizer

    public class DefaultWLPRuleTypeRecognizer

extends Object
implements RuleTypeRecognizer

A RuleTypeRecognizer that supports the standard portal rules type: user segment, content selector, and campaign rules.

Constructor Summary
`DefaultWLPRuleTypeRecognizer()`

Method Summary
`RuleModel` | `createRuleModel(String ruleType)` Create a new, empty RuleModel of the specified type.
`boolean` | `recognize(RuleModel rm, String ruleType)` Determine if the specified rule is of the specified rule type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultWLPRuleTypeRecognizer

    public DefaultWLPRuleTypeRecognizer()

Method Detail

### recognize

    public boolean recognize(RuleModel rm,
                             String ruleType)

  Determine if the specified rule is of the specified rule type.

  Specified by:
    `recognize` in interface `RuleTypeRecognizer`

### createRuleModel

    public RuleModel createRuleModel(String ruleType)

  Create a new, empty RuleModel of the specified type.

  Specified by:
    `createRuleModel` in interface `RuleTypeRecognizer`
  Returns
    the rule model, null on unknown rule type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.